GoogleV3MapType (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.openlayers.googlev3

## Enum GoogleV3MapType

- java.lang.Object
- - java.lang.Enum<GoogleV3MapType>
  - - org.gcube.portlets.user.gisviewer.client.openlayers.googlev3.GoogleV3MapType

- All Implemented Interfaces:
    Serializable, Comparable<GoogleV3MapType>

      public enum GoogleV3MapType
      extends Enum<GoogleV3MapType>

  Author:
    ceras

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `G_HYBRID_MAP` This map type transposes street maps and labels over satellite images.
    `G_NORMAL_MAP` Normal street map type.
    `G_SATELLITE_MAP` This map type shows Google Earth satellite images.
    `G_TERRAIN_MAP` A terrain map type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNativeType()` Returns the type.
    `static GoogleV3MapType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GoogleV3MapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### G_SATELLITE_MAP

          public static final GoogleV3MapType G_SATELLITE_MAP

      This map type shows Google Earth satellite images.

    - #### G_NORMAL_MAP

          public static final GoogleV3MapType G_NORMAL_MAP

      Normal street map type.

    - #### G_HYBRID_MAP

          public static final GoogleV3MapType G_HYBRID_MAP

      This map type transposes street maps and labels over satellite images.

    - #### G_TERRAIN_MAP

          public static final GoogleV3MapType G_TERRAIN_MAP

      A terrain map type.

  - ### Method Detail

    - #### values

          public static GoogleV3MapType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GoogleV3MapType c : GoogleV3MapType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GoogleV3MapType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNativeType

          public String getNativeType()

      Returns the type.
      Returns:
        the type

Copyright © 2014. All Rights Reserved.